Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class LoginMapping

    java.lang.Object
      com.pmease.quickbuild.model.LoginMapping

All Implemented Interfaces:
  java.io.Serializable

public class LoginMapping
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`LoginMapping()`

Method Summary
`LoginMappingEditor` | `getEditor()`
`java.lang.String` | `getName()` Specify a name for this mapping.
`java.util.Map` | `getNameChoices()`
`java.util.Map` | `getRepositoryLogin2UserName()` Specify the mapping from repository login to QuickBuild user name in form of: <repository login>=<QuickBuild user name> Multiple lines can be specified to map multiple logins.
`void` | `setEditor(LoginMappingEditor editor)`
`void` | `setName(java.lang.String name)`
`void` | `setRepositoryLogin2UserName(java.util.Map repositoryLogin2UserName)`
`void` | `validate(Editable editable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginMapping

    public LoginMapping()

Method Detail

### getName

    public java.lang.String getName()

  Specify a name for this mapping. This name will be referenced when choose login mapping for a particular repository.

  Returns:

### setName

    public void setName(java.lang.String name)

### getNameChoices

    public java.util.Map getNameChoices()

### getEditor

    public LoginMappingEditor getEditor()

### setEditor

    public void setEditor(LoginMappingEditor editor)

### getRepositoryLogin2UserName

    public java.util.Map getRepositoryLogin2UserName()

  Specify the mapping from repository login to QuickBuild user name in form of:
  <repository login>=<QuickBuild user name>
  Multiple lines can be specified to map multiple logins.

  Returns:

### setRepositoryLogin2UserName

    public void setRepositoryLogin2UserName(java.util.Map repositoryLogin2UserName)

### validate

    public void validate(Editable editable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.